const express = require('express');
const controllers = require('../Controller');
const router = express.Router();

const authmiddleware= require('../middleware/auth')



// User routes
// router.get('/getallusers',authmiddleware.authenticate("jwt",{session:false}), controllers.userController.getAllUsers);

router.post('/addplans',authmiddleware.authenticate("jwt",{session:false}), controllers.userplans.createIndividualPlan);
router.post('/subscribe', controllers.userplans.subcsribe);
router.get('/succces/:userId', controllers.userplans.paymentSucces);

module.exports = router;
